import { DialogSOP } from '../../libappsop/dialogsop';
import { EditFieldSOP } from '../../libappsop/editfieldsop';

export interface DialogIngredientFields {
  Name?: string;
  Description?: string;
}

export class DialogIngredient extends DialogSOP<DialogIngredientFields> {
  public efName = new EditFieldSOP('edtName');
  public efDescription = new EditFieldSOP('edtDescription');

  public constructor() {
    super('DialogCreateEditIngredient');

    // Set UI element mapping to pair the UI name to the UI element for use in DialogSOP to find the UI object to set value or verify value
    // This prevents each new Dialog to duplicate code just to set/verify UI element value
    this._uiMap.set('Name', this.efName);
    this._uiMap.set('Description', this.efDescription);
  }
}
